routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
    //return view('homepage');
//});

Auth::routes();

Route::resource('question','QuestionController')->only ([
    'create', 'index', 'store', 'show' 
]);

Route::resource('answer', 'AnswerController')->only ([
    'store','show','index','create'
]);

//Route::get('/poser-une-question', function () {
//  return view('questions/create');
//});

//Route::get('/poser une quetsion', 'questionController@create');

//Route::post('/la questions', 'QuestionController@store');

Route::get('/', 'HomeController@index')->name('home');

Route::get('/Login', function(){
    return view('login');
});

Route::get('/logout', 'Auth\LoginController@logout')->name('logout' );

Route::post('upvote/answer', 'UpvoteController@store');

app/Answer.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Answer extends Model
{
    protected $table = "answers";
    protected $fillable = ["description", "answer_id", "user_id", "question_id"];
    protected $dates = ["created_at", "update_at"];

    public function user()
    {
        return $this->belongsTo("App\User");
    }

    public function question()
    {
        return $this->belongsTo("App\Question");
    }
}

app/Question.php
<?php namespace App;

use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
    protected $table = "questions";
    protected $fillable = ["title", "description", "category", "user_id"];
    protected $dates = ["created_at", "updated_at"];

    public function user()
    {
        return $this->belongsTo("App\User");
    }

    public function answer()
    {
        return $this->hasMany("App\Answer");
    }
}

app/Upvote.php
<?php namespace App;

use Illuminate\Database\Eloquent\Model;

class Upvote extends Model
{
    protected $table = "upvote";
protected $fillable = ["question_id", "user_id", "answer_id"];
    protected $dates = ["created_at", "updated_at"];

    public function user()
    {
    return $this->belongsTo("App\User");
    }
}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'remember_token', 'is_admin'
    ];

    protected $dates = [
        'created_at', 'updated_at'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function questions()
    {
        return $this->hasMany('App\Question');
    }

    public function answers()
    {
        return $this->hasMany('App\Answer');
    }
}

app/Http/Controllers/AnswerController.php
<?php namespace App\Http\Controllers;

use App\Http\Requests\StoreAnswer;
use App\Repositories\AnswerRepository;
use Illuminate\Http\Request;

class AnswerController extends Controller
{
    protected $answerRepository;

    public function __construct(AnswerRepository $answerRepository)
    {
        $this->middleware('auth');
        $this->answerRepository = $answerRepository;
    }

    public function store(Request $request)
    {
        $requestData = $request->all();
        $requestData ['user_id'] = auth()->user()->id;
        $this->answerRepository->create($requestData);

        return back();
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\QuestionRepository;
use App\Repositories\AnswerRepository;

class HomeController extends Controller
{
    protected $questionRepository;
    

    public function __construct(QuestionRepository $questionRepository)
    {
        $this->questionRepository = $questionRepository;

    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */

    public function index(AnswerRepository $answerRepository)
    {
        $questions = $this->questionRepository->getOrderedQuestions();
        $recentQuestions = $this->questionRepository->getRecentQuestions(2);
        $answersCount = $answerRepository->getAnswers();
        return view('homepage', compact('questions', 'recentQuestions', 'answersCount'));
    }
}

app/Http/Controllers/QuestionController.php
<?php namespace App\Http\Controllers;

use App\Repositories\QuestionRepository;
use App\Repositories\AnswerRepository;
use App\Http\Requests\StoreQuestion;



class QuestionController extends Controller
{
    protected $questionRepository;

    public function __construct(QuestionRepository $questionRepository)
    {
        $this->questionRepository = $questionRepository;
        $this->middleware('auth')->except('index');
    }

    public function index()
    {
        $answersCount = $this->answerRepository->getAnswers();
        $questions = $this->questionRepository->getOrderedQuestions();
        $recentQuestions = $this->questionRepository->getRecentQuestions(2);
        return view ('questions.index', compact('questions','recentQuestions', 'answersCount'));
    }

    public function create()
    {
        return view('questions.create');
    }

    public function show($id, AnswerRepository $answerRepository)
    {
        $questionId = Question::find($id);
        $questions = $this->questionRepository->getOrderedQuestions();
        $question = $this->questionRepository->show($id);
        $answers = $answerRepository->getOrderedAnswers($questionId);
        $answersCount = $this->answerRepository->getAnswers();


        return view('questions.show', compact('question', 'answers', 'questions', 'questionId', 'answersCount'));
    }

    public function store(StoreQuestion $request)
    {
        $requestData = $request->all();
        $question = $this->questionRepository->create($requestData);

        return redirect()->route('question.show', ['id' => $question->id])->with('flash_message', 'Question added');
    }

}

app/Http/Controllers/UpvoteController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\UpvoteRepository;

class UpvoteController extends Controller
{
    protected $upvoteRepository;

    public function __construct(UpvoteRepository $upvoteRepository)
    {
        $this->middleware('auth')->except('index');
        $this->upvoteRepository = $upvoteRepository;
    }

    public function store(Request $request)
    {
        $requestData = $request->all();
        $requestData ['user_id'] = auth()->user()->id;
        $this->upvoteRepository->create($requestData);

        return back();
    }
}

resources/views/homepage.blade.php
@extends('layouts.2-columns')

@section('title', 'Questions/réponses pour les promotions Simplon')

 {{--Search form section--}}
@section('search-form')
@include('partials/search')
@endsection

@section('content')

<div class="tabs-warp question-tab">
    <ul class="tabs">
        <li class="tab"><a href="#" class="current">Recent Questions</a></li>
        <li class="tab"><a href="#">Most Responses</a></li>
        <li class="tab"><a href="#">Recently Answered</a></li>
        <li class="tab"><a href="#">No answers</a></li>
        </ul>
    <div class="tab-inner-warp">
        <div class="tab-inner">
            @forelse($questions as $question)
            <article class="question question-type-normal">
                <h2>
                    <a href="{{ url('/question') }}">{{ $question->title }}</a>
                </h2>
                <div class="question-author-date">
                    Asked <em>{{ $question->created_at->diffForHumans() }}</em> by <a href="#">{{ $question->user->name }}</a>
                </div>
                <div class="question-inner">
                    <div class="clearfix"></div>
                    <p class="question-desc">{{ $question->description }}</p>
                    <div class="question-details">
                        <span class="question-answered question-answered-done"><i class="icon-ok"></i>solved</span>
                    </div>
                    <span class="question-comment"><a href="{{ url('/question') }}"><i class="icon-comment"></i>5
                            Answer</a></span>
                    <span class="question-view"><i class="icon-user"></i>70 views</span>
                    <div class="question-tags"><i class="icon-tags"></i>
                        <a href="#!">{{ $question->category }}</a>, <a href="#!">question</a>, <a href="#!">developer</a>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </article>
            @empty
            <p>No questions</p>
            @endforelse
            <a href="#" class="load-questions"><i class="icon-refresh"></i>Load More Questions</a>
        </div>
    </div>
</div><!-- End page-content -->

{{-- Sidebar --}}
@section('sidebar')
<div class="widget">
    <h3 class="widget_title">Recent Questions</h3>
    <ul class="related-posts">
        @forelse($recentQuestions as $recentQuestion) 
        <li class="related-item">
            <h3><a href="#">{{ $recentQuestion->title }}</a></h3>
            <p>{{ $recentQuestion->description }}</p>
            <div class="clear"></div><span>{{ $recentQuestion->created_at->diffForHumans() }}</span>
            </li>
            @empty
                <p>Y'a pas</p>
            @endforelse
        </ul>
    </div>

@parent
@endsection


@endsection

resources/views/layouts/2-columns.blade.php
<!doctype html>

<html lang="{{ app()->getLocale() }}">

    <head>



        <title>Ask me – @yield('title')</title>



        @include('partials/head')



    </head>

    <body>



        <div class="loader"><div class="loader_html"></div></div>



        <div id="wrap" class="grid_1200">



            {{-- Header --}}

            @include('partials/header')



            {{-- Search form section --}}

            {{--@yield('search-form')--}}



            <section class="container main-content margin_t_50">

                <div class="row">

                    <div class="col-md-9">

                        @yield('content')

                    </div>

                    {{-- Sidebar --}}

                    <aside class="col-md-3 sidebar">

                        @section('sidebar')

                            @include('partials/sidebar')

                        @show

                    </aside>

                </div>

            </section><!-- End container -->



            @include('partials/footer')

        </div><!-- End wrap -->



        <div class="go-up"><i class="icon-chevron-up"></i></div>



        <!-- js -->

        <script src="{{ asset('js/jquery.min.js') }}"></script>

        <script src="{{ asset('js/jquery-ui-1.10.3.custom.min.js') }}"></script>

        <script src="{{ asset('js/jquery.easing.1.3.min.js') }}"></script>

        <script src="{{ asset('js/html5.js') }}"></script>

        <script src="{{ asset('js/twitter/jquery.tweet.js') }}"></script>

        <script src="{{ asset('js/jflickrfeed.min.js') }}"></script>

        <script src="{{ asset('js/jquery.inview.min.js') }}"></script>

        <script src="{{ asset('js/jquery.tipsy.js') }}"></script>

        <script src="{{ asset('js/tabs.js') }}"></script>

        <script src="{{ asset('js/jquery.flexslider.js') }}"></script>

        <script src="{{ asset('js/jquery.prettyPhoto.js') }}"></script>

        <script src="{{ asset('js/jquery.carouFredSel-6.2.1-packed.js') }}"></script>

        <script src="{{ asset('js/jquery.scrollTo.js') }}"></script>

        <script src="{{ asset('js/jquery.nav.js') }}"></script>

        <script src="{{ asset('js/tags.js') }}"></script>

        <script src="{{ asset('js/jquery.bxslider.min.js') }}"></script>

        <script src="{{ asset('js/custom.js') }}"></script>

        <!-- End js -->

    </body>

</html>

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                            </li>
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/fullwidth.blade.php
<!doctype html>

<html lang="{{ app()->getLocale() }}">

    <head>



        <title>Ask me – @yield('title')</title>



        @include('partials/head')



    </head>

    <body>



        <div class="loader"><div class="loader_html"></div></div>



        <div id="wrap" class="grid_1200">



            {{-- Header --}}

            @include('partials/header')



            <section class="container main-content margin_t_50">

                <div class="row">

                    <div class="col-md-12">

                        @yield('content')

                    </div>

                </div>

            </section><!-- End container -->



            @include('partials/footer')

        </div><!-- End wrap -->



        <div class="go-up"><i class="icon-chevron-up"></i></div>



        <!-- js -->

        <script src="{{ asset('js/jquery.min.js') }}"></script>

        <script src="{{ asset('js/jquery-ui-1.10.3.custom.min.js') }}"></script>

        <script src="{{ asset('js/jquery.easing.1.3.min.js') }}"></script>

        <script src="{{ asset('js/html5.js') }}"></script>

        <script src="{{ asset('js/twitter/jquery.tweet.js') }}"></script>

        <script src="{{ asset('js/jflickrfeed.min.js') }}"></script>

        <script src="{{ asset('js/jquery.inview.min.js') }}"></script>

        <script src="{{ asset('js/jquery.tipsy.js') }}"></script>

        <script src="{{ asset('js/tabs.js') }}"></script>

        <script src="{{ asset('js/jquery.flexslider.js') }}"></script>

        <script src="{{ asset('js/jquery.prettyPhoto.js') }}"></script>

        <script src="{{ asset('js/jquery.carouFredSel-6.2.1-packed.js') }}"></script>

        <script src="{{ asset('js/jquery.scrollTo.js') }}"></script>

        <script src="{{ asset('js/jquery.nav.js') }}"></script>

        <script src="{{ asset('js/tags.js') }}"></script>

        <script src="{{ asset('js/jquery.bxslider.min.js') }}"></script>

        <script src="{{ asset('js/custom.js') }}"></script>

        <!-- End js -->

    </body>

</html>

resources/views/partials/footer.blade.php
<footer id="footer">
    <section class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="widget widget_contact">
                    <h3 class="widget_title">Ask 2 Simplon ?</h3>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi adipiscing gravida odio, sit amet suscipit risus ultrices eu.</p>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi adipiscing gravida odio.</p>
                </div>
            </div>
            <div class="col-md-2">
                <div class="widget">
                    <h3 class="widget_title">Liens utiles</h3>
                    <ul>
                        <li>
                            <a href="{{ url('/') }}">Accueil</a>
                        </li>
                        <li>
                            <a href="{{ url('/poser-une-question') }}">Poser une question</a>
                        </li>
                        <li>
                            <a href="{{ url('/questions') }}">Questions</a>
                        </li>
                        <li>
                            <a href="{{ url('/login') }}">Login</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                {{--<div class="widget">--}}
                    {{--<h3 class="widget_title">Popular Questions</h3>--}}
                    {{--<ul class="related-posts">--}}
                        {{--<li class="related-item">--}}
                            {{--<h3><a href="#">This is my first Question</a></h3>--}}
                            {{--<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer lorem quam.</p>--}}
                            {{--<div class="clear"></div><span>Feb 22, 2014</span>--}}
                        {{--</li>--}}
                        {{--<li class="related-item">--}}
                            {{--<h3><a href="#">This Is My Second Poll Question</a></h3>--}}
                            {{--<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer lorem quam.</p>--}}
                            {{--<div class="clear"></div><span>Feb 22, 2014</span>--}}
                        {{--</li>--}}
                    {{--</ul>--}}
                {{--</div>--}}
            </div>
        </div><!-- End row -->
    </section><!-- End container -->
</footer><!-- End footer -->
<footer id="footer-bottom">
    <section class="container">
        <div class="copyrights f_left">Copyright 2018 Ask me | <a href="#">By Simplon-Roanne</a></div>
        <div class="social_icons f_right">
            <ul>
                <li class="twitter"><a original-title="Twitter" class="tooltip-n" href="#"><i class="social_icon-twitter font17"></i></a></li>
                <li class="facebook"><a original-title="Facebook" class="tooltip-n" href="#"><i class="social_icon-facebook font17"></i></a></li>
                <li class="gplus"><a original-title="Google plus" class="tooltip-n" href="#"><i class="social_icon-gplus font17"></i></a></li>
            </ul>
        </div><!-- End social_icons -->
    </section><!-- End container -->
</footer><!-- End footer-bottom -->

resources/views/partials/head.blade.php
<!-- Basic Page Needs -->

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<meta name="viewport" content="width=device-width, initial-scale=1">



<meta name="description" content="Ask me – Questions/réponses pour les promotions Simplon">

<meta name="author" content="Idmkr">



<!-- Mobile Specific Metas -->

<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">



<!-- Main Style -->

<link href="{{ asset('css/style.css') }}" rel="stylesheet">



<!-- Skins -->

<link href="{{ asset('css/skins/skins.css') }}" rel="stylesheet">



<!-- Responsive Style -->

<link href="{{ asset('css/responsive.css') }}" rel="stylesheet">



<!-- Favicons -->

<link rel="shortcut icon" href="images/favicon.png">

resources/views/partials/header.blade.php
<div id="header-top">

    <section class="container clearfix">

        <nav class="header-top-nav">

            <ul>

                @if (Auth::guest())

                    <li><a href="{{ url('/login') }}"><i class="icon-user"></i>Login Area</a></li>

                @else

                    <li><a href="{{ url('/logout') }}">Logout</a></li>

                @endif

            </ul>

        </nav>

        <div class="header-search">

            <form>

                <input type="text" value="Search here ..." onfocus="if(this.value=='Search here ...')this.value='';" onblur="if(this.value=='')this.value='Search here ...';">

                <button type="submit" class="search-submit"></button>

            </form>

        </div>

    </section><!-- End container -->

</div><!-- End header-top -->

<header id="header">

    <section class="container clearfix">

        <div class="logo">

            <a href="{{ url('/') }}" class="font26">

                <span>Exchange</span>.Simplon

            </a>

        </div>

        <nav class="navigation">

            <ul>

                <li class="current_page_item">

                    <a href="{{ url('/') }}">Accueil</a>

                </li>

                <li>

                    <a href="{{ route('question.create') }}">Poser une question</a>

                </li>

                <li>

                    <a href="{{ route('question.index') }}">Questions</a>

                </li>

                <li>

                    <a href="{{ url('/login') }}">Login</a>

                </li>

            </ul>

        </nav>

    </section><!-- End container -->

</header><!-- End header -->

resources/views/partials/search.blade.php
<div class="section-warp ask-me">
    <div class="container clearfix">
        <div class="box_icon box_warp box_no_border box_no_background" box_border="transparent" box_background="transparent" box_color="#FFF">
            <div class="row">
                <div class="col-md-12">
                    <h2>Welcome to Ask2Simplon</h2>
                    <p>Duis dapibus aliquam mi, eget euismod sem scelerisque ut. Vivamus at elit quis urna adipiscing iaculis. Curabitur vitae velit in neque dictum blandit. Proin in iaculis neque. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur vitae velit in neque dictum blandit.</p>
                    <form class="form-style form-style-2">
                        <p>
                            <input type="text" id="question_title" value="Search any question and you be sure find your answer !" onfocus="if(this.value=='Search any question and you be sure find your answer !')this.value='';" onblur="if(this.value=='')this.value='Search any question and you be sure find your answer !';">
                            <i class="icon-pencil"></i>
                            <span class="color button small publish-question">Search Now</span>
                        </p>
                    </form>
                </div>
            </div><!-- End row -->
        </div><!-- End box_icon -->
    </div><!-- End container -->
</div><!-- End section-warp -->

resources/views/partials/sidebar.blade.php
<div class="widget widget_stats">

    <h3 class="widget_title">Stats</h3>

    <div class="ul_list ul_list-icon-ok">

        <ul>

            <li><i class="icon-question-sign"></i>Questions ( <span> {{ $questions->count()}} </span> )</li>

            <li><i class="icon-comment"></i>Answers ( <span> {{ $answersCount->count() }}</span> )</li>

        </ul>

    </div>

</div>



{{--<div class="widget widget_tag_cloud">--}}

    {{--<h3 class="widget_title">Tags</h3>--}}

    {{--<a href="#">projects</a>--}}

    {{--<a href="#">Portfolio</a>--}}

    {{--<a href="#">Wordpress</a>--}}

    {{--<a href="#">Html</a>--}}

    {{--<a href="#">Css</a>--}}

    {{--<a href="#">jQuery</a>--}}

    {{--<a href="#">2code</a>--}}

    {{--<a href="#">vbegy</a>--}}

{{--</div>--}}

resources/views/questions/index.blade.php
@extends('layouts.2-columns')



@section('title', 'Poser une question')



{{-- Search form section --}}

@section('search-form')

    @include('partials/search')

@endsection



@section('content')

@forelse($questions as $question)

    <article class="question question-type-normal">

        <h2>

<a href="question/{{$question->id}}">{{ $question->title }}</a>

        </h2>

        <div class="question-author-date">

            Asked <em>{{ $question->created_at->diffForHumans() }}</em> by <a href="#">{{ $question->user->name }}</a>

        </div>

        <div class="question-inner">

            <div class="clearfix"></div>

                <p class="question-desc">{{ $question->description }}</p>

            {{--<div class="question-details">--}}

                {{--<span class="question-answered question-answered-done"><i class="icon-ok"></i>solved</span>--}}

            {{--</div>--}}

            {{--<span class="question-comment"><a href="{{ url('/question') }}"><i class="icon-comment"></i>5 Answer</a></span>--}}

            {{--<span class="question-view"><i class="icon-user"></i>70 views</span>--}}

            {{--<div class="question-tags"><i class="icon-tags"></i>--}}

                {{--<a href="#!">wordpress</a>, <a href="#!">question</a>, <a href="#!">developer</a>--}}

            {{--</div>--}}

            <div class="clearfix"></div>

        </div>

    </article>


@empty
<p>No questions</p>
@endforelse

    <a href="#" class="load-questions"><i class="icon-refresh"></i>Load More Questions</a>



    {{-- Sidebar --}}

    @section('sidebar')

        <div class="widget">

            <h3 class="widget_title">Recent Questions</h3>

            <ul class="related-posts">

                @forelse($recentQuestions as $recentQuestion)
                <li class="related-item">

            <h3><a href="#">{{ $recentQuestion->title }}</a></h3>

                <p>{{ $recentQuestion->description }}</p>

        <div class="clear"></div><span>{{ $recentQuestion->created_at->diffForHumans() }}</span>

                </li>
            @empty
                <p>pas là</p>
            @endforelse
            </ul>

        </div>



        @parent

    @endsection



@endsection